Download a Tyk OAS format API.
curl --request GET \
--url https://{tenant}/tyk/apis/oas/{apiID}/export \
--header 'X-Tyk-Authorization: <api-key>'import requests
url = "https://{tenant}/tyk/apis/oas/{apiID}/export"
headers = {"X-Tyk-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Tyk-Authorization': '<api-key>'}};
fetch('https://{tenant}/tyk/apis/oas/{apiID}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "requesting API definition that is in Tyk classic format",
"status": "error"
}{
"message": "Attempted administrative access with invalid or missing key!",
"status": "error"
}{
"message": "API not found",
"status": "error"
}{
"message": "Unexpected error",
"status": "error"
}Tyk OAS APIs
Download a Tyk OAS format API.
Use the mode query parameter to specify if you want the x-tyk-api-gateway stripped out.
GET
/
tyk
/
apis
/
oas
/
{apiID}
/
export
Download a Tyk OAS format API.
Authorizations
Api key
Path Parameters
ID of the API you want to fetch.
Query Parameters
By default mode is empty which means it will return the Tyk API OAS spec including the x-tyk-api-gateway part. When mode=public, the Tyk OAS API spec will exclude the x-tyk-api-gateway part in the response.
Available options:
public Response
Exported API definition file
The response is of type file.
Was this page helpful?
⌘I